Subject: Re: bug#65843: 28.2; Too many iconified frames in .emacs.desktop -> crash (macOS)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Sep 2023 19:49:29 +0300

> Date: Sat, 09 Sep 2023 16:35:56 -0000
> From:  Christian Tanzer via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> In Emacs 28 and Emacs 29, desktop-load crashes when there are too many
> iconified frames in the .emacs.desktop file.
> 
> The two attached .emacs.desktop files show the smallest test case that
> I could come up with:
> 
> - .emacs.desktop.works with 3 non-iconified and 4 iconified frames
>   loads without problem in Emacs 28
> 
>   + desktop-load of this file crashes in Emacs 29.1
> 
>   + a .emacs.desktop with 3 non-iconified and 3 iconified frames works
>     in Emacs 29.1
> 
> - .emacs.desktop.crashes with 3 non-iconified and 5 iconified frames
>   leads to a crash in Emacs 28 (see attached problem report generated
>   by macOS)
> 
> - I tried .emacs.desktop with up to 17 non-iconified frames in Emacs
>   28 without problems
> 
> - Up to Emacs 27, I've never seen a problem with desktop-load crashing

Thanks, can you run Emacs 29 under a debugger and show a backtrace
when it crashes?